/*
 * Copyright (c) 2017, Red Hat Inc. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */
package org.openjdk.gcbench.util;

import org.openjdk.jmh.annotations.CompilerControl;

public class Sinks {

    @CompilerControl(CompilerControl.Mode.DONT_INLINE)
    public static void sink() {}

    @CompilerControl(CompilerControl.Mode.DONT_INLINE)
    public static void sink(boolean i) {}

    @CompilerControl(CompilerControl.Mode.DONT_INLINE)
    public static void sink(byte i) {}

    @CompilerControl(CompilerControl.Mode.DONT_INLINE)
    public static void sink(short i) {}

    @CompilerControl(CompilerControl.Mode.DONT_INLINE)
    public static void sink(char i) {}

    @CompilerControl(CompilerControl.Mode.DONT_INLINE)
    public static void sink(int i) {}

    @CompilerControl(CompilerControl.Mode.DONT_INLINE)
    public static void sink(float i) {}

    @CompilerControl(CompilerControl.Mode.DONT_INLINE)
    public static void sink(long i) {}

    @CompilerControl(CompilerControl.Mode.DONT_INLINE)
    public static void sink(double i) {}

    @CompilerControl(CompilerControl.Mode.DONT_INLINE)
    public static void sink(Object i) {}

}
